// SPDX-License-Identifier: Apache-2.0
import BaseError, { ErrorCode } from "../../../../../core/error/BaseError";
export class InvalidClearingOperationType extends BaseError {
    constructor(value) {
        super(ErrorCode.InvalidClearingOperationType, `Invalid clearing operation type ${value}`);
    }
}
export class InvalidClearingOperationTypeNumber extends BaseError {
    constructor(id) {
        super(ErrorCode.InvalidClearingOperationTypeNumber, `Invalid clearing operation type id number ${id}`);
    }
}
